## golang-github-cloudflare-cbpfc 0.0~git20231012.992ed75

=== debian/changelog ===
golang-github-cloudflare-cbpfc (0.0~git20231012.992ed75-2) unstable; urgency=medium

  * Team upload.
  * No-change re-upload to aid testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Jun 2024 08:26:19 -0400

golang-github-cloudflare-cbpfc (0.0~git20231012.992ed75-1) unstable; urgency=medium

  * Initial release (Closes: #1064081)

 -- Loren M. Lang <lorenl@north-winds.org>  Sat, 24 Feb 2024 20:03:53 +0000
