=== debian/control ===
Source: golang-github-cloudflare-cbpfc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Loren M. Lang <lorenl@north-winds.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               clang,
               dh-golang,
               golang-any,
               golang-github-cilium-ebpf-dev,
               golang-github-pkg-errors-dev,
               golang-golang-x-net-dev,
               golang-golang-x-sys-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-cbpfc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-cbpfc.git
Homepage: https://github.com/cloudflare/cbpfc
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/cbpfc

Package: golang-github-cloudflare-cbpfc-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-cilium-ebpf-dev,
         golang-github-pkg-errors-dev,
         golang-golang-x-net-dev,
         golang-golang-x-sys-dev,
         ${misc:Depends}
Description: cBPF to C or eBPF compiler (library)
 cbpfc
 .
 GoDoc (https://godoc.org/github.com/cloudflare/cbpfc)
 .
 cbpfc is a classic BPF (cBPF) to extended BPF (eBPF) compiler. It can
 compile cBPF to eBPF, or to C, and the generated code should be accepted
 by the kernel verifier.
 .
 cbpfc/clang (https://godoc.org/github.com/cloudflare/cbpfc/clang) is a
 simple clang wrapper for compiling C to eBPF.
 .
 Tests
 .
 Dependencies
 .
  * clang
        * Path can be set via environment variable $CLANG
 .
 Unprivileged
 .
  * go test -short
 .
 Full
 .
  * Requires:
        * root or CAP_SYS_ADMIN to load XDP programs
        * Recent (4.14+) Linux kernel
  * sudo go test
